ServerEvents.recipes(event => {
//Holy Tools

//Holy Sword
  event.smithing(
    'kubejs:holy_sword',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_sword',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Axe
  event.smithing(
    'kubejs:holy_axe',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_axe',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Pickaxe
  event.smithing(
    'kubejs:holy_pickaxe',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_pickaxe',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Shovel
  event.smithing(
    'kubejs:holy_shovel',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_shovel',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Hoe
  event.smithing(
    'kubejs:holy_hoe',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_hoe',
    'kubejs:blessed_alloy_ingot'
  ),

  
//Paper Block
  event.shapeless(
    Item.of('kubejs:paper_block', 1),
    [
      '9x minecraft:paper'
    ]
  ),
    event.shapeless(
    Item.of('minecraft:paper', 9),
    [
      'kubejs:paper_block'
    ]
  ),

//Fix Books
  event.shapeless(
    Item.of('minecraft:book', 1),
    [
        '3x minecraft:paper',
		'#forge:leather'
    ]
  ),
//Data Link
  event.shapeless(
    Item.of('create_radar:data_link', 1),
    [
        'create:display_link'
    ]
  ),
  event.shapeless(
    Item.of('create:display_link', 1),
    [
        'create_radar:data_link'
    ]
  ),

//Sugar Block
  event.shapeless(
    Item.of('kubejs:sugar_block', 1),
    [
      '9x minecraft:sugar'
    ]
  ),
    event.shapeless(
    Item.of('minecraft:sugar', 9),
    [
      'kubejs:sugar_block'
    ]
  ),

//Cookie Block
  event.shapeless(
    Item.of('kubejs:cookie_block', 1),
    [
      '9x minecraft:cookie'
    ]
  ),
  event.shapeless(
    Item.of('minecraft:cookie', 9),
    [
      'kubejs:cookie_block'
    ]
  ),

//Ender Block
  event.shapeless(
    Item.of('kubejs:ender_block', 1),
    [
      '9x minecraft:ender_pearl'
    ]
  ),
  event.shapeless(
    Item.of('minecraft:ender_pearl', 9),
    [
      'kubejs:ender_block'
    ]
  ),

//Genuine Netherite Block
  event.shapeless(
    Item.of('kubejs:genuine_netherite_block', 1),
    [
      '9x minecraft:netherite_ingot'
    ]
  ),
//Netherite Ingot
  event.shapeless(
    Item.of('minecraft:netherite_ingot', 9),
    [
      'kubejs:genuine_netherite_block'
    ]
  ),

//Burnt Paper Block
  event.smelting('kubejs:burnt_paper_block', 'kubejs:paper_block'),

//Charred Nether Bricks
  event.smelting('kubejs:charred_nether_bricks', 'minecraft:nether_bricks'),

//Charred Planks
  event.smelting('kubejs:charred_planks', '#minecraft:planks'),

//Gunpowder from Paper
  event.shapeless(
    Item.of('minecraft:gunpowder', 2),
    [
      'kubejs:burnt_paper_block'
    ]
  ),

//Rooted Dirt
  event.shapeless(
    Item.of('minecraft:rooted_dirt', 1),
    [
      'minecraft:dirt',
      'hexerei:mandrake_root'
    ]
  ),
//Black Stone Bricks
  event.shapeless(
    Item.of('kubejs:black_stone_bricks', 8),
    [
      'minecraft:black_dye',
      '8x minecraft:stone_bricks'
    ]
  ),
//Green Dye
  event.shapeless(
    Item.of('minecraft:green_dye', 2),
    [
      'minecraft:yellow_dye',
      'minecraft:blue_dye'
    ]
  ),
//Brown Dye
  event.shapeless(
    Item.of('minecraft:brown_dye', 3),
    [
      'minecraft:red_dye',
      'minecraft:yellow_dye',
      'minecraft:blue_dye'
    ]
  ),
//Blossom Leaves_blue
  event.shapeless(
    Item.of('kubejs:blue_blossom_leaves', 8),
    [
      '1x bloomingnature:tall_lupine_blue',
	  '8x #minecraft:leaves'
    ]
  ),
//Blossom Leaves_lavender
  event.shapeless(
    Item.of('kubejs:lavender_blossom_leaves', 8),
    [
      '1x bloomingnature:tall_lupine_purple',
	  '8x #minecraft:leaves'
    ]
  ),
//Blossom Leaves_orange1
  event.shapeless(
    Item.of('kubejs:orange_blossom_leaves', 8),
    [
      '1x minecraft:yellow_dye',
	  '8x kubejs:red_blossom_leaves'
    ]
  ),
//Blossom Leaves_orange2
  event.shapeless(
    Item.of('kubejs:orange_blossom_leaves', 8),
    [
      '1x minecraft:red_dye',
	  '8x kubejs:yellow_blossom_leaves'
    ]
  ),
//Blossom Leaves_red
  event.shapeless(
    Item.of('kubejs:red_blossom_leaves', 8),
    [
      '1x minecraft:rose_bush',
	  '8x #minecraft:leaves'
    ]
  ),
//Blossom Leaves_yellow
  event.shapeless(
    Item.of('kubejs:yellow_blossom_leaves', 8),
    [
      '1x minecraft:sunflower',
	  '8x #minecraft:leaves'
    ]
  ),

//Sentry Armor Trim
  event.shaped(
    Item.of('minecraft:sentry_armor_trim_smithing_template', 1),
    [
        'AAA',
        'ABA',
        'AAA'
    ],
    {
        A: 'minecraft:cobblestone',
        B: 'minecraft:diamond'
    }
  ),

  //Lead Flywheel
  event.shaped(
    Item.of('tfmg:lead_flywheel', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: '#forge:ingots/lead',
      B: 'create:shaft'
    }
  ),

//Nickel Flywheel
  event.shaped(
    Item.of('tfmg:nickel_flywheel', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: '#forge:ingots/nickel',
      B: 'create:shaft'
    }
  ),
//TFMG Lead Ingot into Lead Nuggets
  event.shapeless(
    Item.of('kubejs:lead_nugget', 9),
    [
      'tfmg:lead_ingot'
    ]
  ),
//Lead Nuggets into TFMG Lead Ingot
  event.shapeless(
    Item.of('tfmg:lead_ingot', 1),
    [
      '9x kubejs:lead_nugget'
    ]
  ),


//White Eggplant
  event.recipes.create.haunting('culturaldelights:white_eggplant', 'culturaldelights:eggplant'),

//Additional Milling Recipies
  event.recipes.create.milling(['2x minecraft:pink_petals', Item.of('2x minecraft:pink_petals').withChance(0.25), Item.of('minecraft:cherry_leaves').withChance(0.10)], 'minecraft:cherry_leaves'),
//Flower Milling
  event.recipes.create.milling(['3x minecraft:white_dye', Item.of('2x minecraft:white_dye').withChance(0.25), Item.of('2x minecraft:green_dye').withChance(0.05)], 'bloomingnature:tall_mountain_laurel'),
  event.recipes.create.milling(['3x minecraft:purple_dye', Item.of('2x minecraft:purple_dye').withChance(0.25), Item.of('2x minecraft:green_dye').withChance(0.05)], 'bloomingnature:tall_lupine_purple'),
  event.recipes.create.milling(['3x minecraft:blue_dye', Item.of('2x minecraft:blue_dye').withChance(0.25), Item.of('2x minecraft:green_dye').withChance(0.05)], 'bloomingnature:tall_lupine_blue'),

//Spore Blossom
  event.shaped(
    Item.of('minecraft:spore_blossom', 1),
    [
      'AAA',
      'BCB',
      '   '
    ],
    {
      A: 'minecraft:moss_block',
      B: 'minecraft:pink_petals',
      C: 'minecraft:glow_berries'
    }
  ),

//Automated Wax Blend
  event.recipes.create.mixing('hexerei:wax_blend', ['minecraft:glow_berries', '#hexerei:flower_biproduct']),

//TFMG Steel Fix (IF NEEDED)
//event.recipes.create.mixing([Fluid.of("tfmg:molten_steel", 111), Fluid.of("tfmg:molten_slag", 75)], ['2x tfmg:coal_coke_dust', 'tfmg:blasting_mixture']).heated(),
//event.recipes.create.mixing([Fluid.of("tfmg:molten_steel", 100), Fluid.of("tfmg:molten_slag", 50)], ['tfmg:coal_coke_dust', 'tfmg:blasting_mixture']).superheated(),

//Hamimelon Juice Fix
  event.recipes.create.mixing([Fluid.of("fruitsdelight:hamimelon_juice", 250)], [Fluid.of("minecraft:water", 250), '2x fruitsdelight:hamimelon_slice', 'minecraft:sugar']),
//Heart of the Sea
  event.shaped(
    Item.of('minecraft:heart_of_the_sea', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:prismarine',
      B: 'minecraft:sea_lantern',
      C: 'minecraft:nether_star'
    }
  ),

//VS String Alt
  event.shaped(
    Item.of('vs_sails:rope', 1),
    [
      '  A',
      ' AA',
      'AA '
    ],
    {
      A: 'tfmg:synthetic_string'
    }
  ),
  event.shaped(
    Item.of('vs_sails:buoy_block', 4),
    [
      'ABA',
      'B B',
      'ABA'
    ],
    {
      A: 'tfmg:synthetic_string',
	  B: 'vs_sails:rope'
    }
  ),
  event.shaped(
    Item.of('vs_sails:sail_block', 4),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'tfmg:synthetic_string',
	  B: 'vs_sails:rope'
    }
  ),




//Sculk Recipes
//Sculk
  event.shaped(
    Item.of('minecraft:sculk', 1),
    [
      'AA ',
      'AA ',
      '   '
    ],
    {
      A: 'minecraft:sculk_vein'
    }
  ),
//Sculk Vein
  event.recipes.create.haunting('minecraft:sculk_vein', 'minecraft:moss_carpet'),
//Sculk Catalyst
  event.shaped(
    Item.of('minecraft:sculk_catalyst', 1),
    [
      'DDD',
      'BCB',
      'AAA'
    ],
    {
      A: 'minecraft:bone_block',
      B: 'minecraft:echo_shard',
      C: 'minecraft:nether_star',
      D: 'minecraft:sculk'
    }
  ),
//Sculk Shrieker
  event.shaped(
    Item.of('minecraft:sculk_shrieker', 1),
    [
      'A A',
      'ABA',
      'CCC'
    ],
    {
      A: 'minecraft:bone',
      B: 'alexsmobs:skreecher_soul',
      C: 'minecraft:sculk'
    }
  ),
//Sculk Sensor
  event.shaped(
    Item.of('minecraft:sculk_sensor', 1),
    [
      'A A',
      'BBB',
      '   '
    ],
    {
      A: 'minecraft:echo_shard',
      B: 'minecraft:sculk'
    }
  ),
//Echo Shard
  event.shaped(
    Item.of('minecraft:echo_shard', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:sculk',
      B: 'minecraft:diamond'
    }
  ),



//End Sculk Recipies

//Magnetic Ingot
event.recipes.create_bic_bit.deep_frying(['tfmg:magnetic_ingot', Item.of('tfmg:slag').withChance(0.25), Item.of('crusty_chunks:steel_component').withChance(0.05)],[Fluid.of('create_wizardry:lightning', 100), '#forge:ingots/steel']).heated();

//Whale Oil
event.recipes.create.mixing(Fluid.of('tfmg:crude_oil', 100), 'untamedwilds:material_blubber').heated();

//Netherite Block
  event.remove({id: 'minecraft:netherite_block'}),
  event.remove({id: 'minecraft:netherite_ingot_from_netherite_block'}),
  event.shaped(
    Item.of('minecraft:netherite_block', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:deepslate'
    }
  ),

//Bauxite Crushing
  event.recipes.create.crushing('create:crushed_raw_aluminum', 'crusty_chunks:bauxite'),


//Lantern Block
  event.shaped(
    Item.of('kubejs:lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:lantern'
    }
  ),
//Soul Lantern Block
  event.shaped(
    Item.of('kubejs:soul_lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:soul_lantern'
    }
  ),
//Redstone Lantern Block
  event.shaped(
    Item.of('kubejs:redstone_lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:redstone_block'
    }
  ),
//Amethyst Lantern Block
  event.shaped(
    Item.of('kubejs:amethyst_lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:amethyst_block'
    }
  ),
//Honeycomb Bricks
  event.shaped(
    Item.of('kubejs:honeycomb_bricks', 1),
    [
      'AA ',
      'AA ',
      '   '
    ],
    {
      A: 'minecraft:honeycomb_block'
    }
  ),

//Hydrogen Balloon
  event.shaped(
    Item.of('valkyrien_warium:hydrogen_balloon', 1),
    [
      'CAC',
      'ABA',
      'CAC'
    ],
    {
      A: '#minecraft:wool',
      B: 'design_decor:gas_tank',
      C: 'farmersdelight:rope'
    }
  ),

//Sulfur Dust to Sulfur
  event.smelting('crusty_chunks:sulfur', 'tfmg:sulfur_dust'),

//Better Stock
	//Removing Shitty Stock Recipe
	event.remove({id:'crusty_chunks:rifle_stock_recipe'}),
	//Better Stock Recipe
	event.shaped(
		Item.of('crusty_chunks:rifle_stock', 1),
		[
		'AAA',
		' AA',
		'   '
		],
		{
		A: 'crusty_chunks:wood_component'
		}
	),

//Better Sand
  event.remove({id: 'create:milling/gravel'}),
  event.recipes.create.milling('minecraft:sand', 'minecraft:gravel'),

//Fixing Plates
  event.remove({id:'tfmg:sequenced_assembly/heavy_plate'}),
  event.recipes.create.pressing('crusty_chunks:steel_plate', 'crusty_chunks:steel_ingot'),
  event.recipes.create.sequenced_assembly([
    Item.of('tfmg:heavy_plate')
  ], 'tfmg:steel_ingot', [
    event.recipes.createPressing('tfmg:unprocessed_heavy_plate', 'tfmg:steel_ingot'),
    event.recipes.createPressing('tfmg:unprocessed_heavy_plate', 'tfmg:unprocessed_heavy_plate'),
    event.recipes.createPressing('tfmg:heavy_plate', 'tfmg:unprocessed_heavy_plate')
  ]).transitionalItem('tfmg:unprocessed_heavy_plate').loops(1),

//Saddle
  event.shaped(
    Item.of('minecraft:saddle', 1),
    [
      '   ',
      ' A ',
      'ABA'
    ],
    {
      A: '#forge:leather',
      B: 'minecraft:iron_ingot'
    }
  )
})
